<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>Event History Lookup</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row">
          <div class="form-group row col-24">
            <label class="col-form-label col-2">Event ID:</label>
            <div class="col-8 pl-1">
              <input type="number" min="0" class="form-control form-control-sm" formControlName="eventId" />
              <div *ngIf="eventId.invalid && (eventId.dirty || eventId.touched)">
                <span *ngIf="eventId.errors.pattern" class="form-text text-danger">
                  Event ID should be numeric
                </span>
              </div>
            </div>
            <div class="col-6 pl-1">
              <button class="btn btn-primary" type="button" (click)="lookup(eventId.value)"
                      [disabled]="form.invalid">
                Get History
              </button>
            </div>
          </div>
        </div>
      </form>
      <dx-data-grid #grid id="grid" *ngIf="eventHistoryList.length > 0"
                    keyExpr="eventHistId" [dataSource]="eventHistoryList"
                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                    [showBorders]="true" [columnAutoWidth]="true"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onExporting)="onExporting($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxi-column dataField="eventId" caption="EventID" dataType="number" alignment="left"></dxi-column>
        <dxi-column dataField="actnDes" caption="Action" dataType="string"></dxi-column>
        <dxi-column dataField="performedBy" caption="Performed By" dataType="string"></dxi-column>
        <dxi-column dataField="creatDt" caption="Date and Time" dataType="string" cellTemplate="localStartTime"></dxi-column>
        <dxi-column dataField="cmntTxt" caption="Comments" dataType="string"></dxi-column>
        <dxi-column dataField="eventStrtTmst" caption="Start Date" dataType="string" cellTemplate="localStartTime"></dxi-column>
        <dxi-column dataField="eventEndTmst" caption="End Date" dataType="string" cellTemplate="localStartTime"></dxi-column>
        <div *dxTemplate="let cell of 'localStartTime'">
          <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
        </div>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
      </dx-data-grid>
    </div>
  </div>
</div>
